Upgrade from 3.0.88 to 4 - Any pitfalls?

    • OMV 3.x (stable)
    • Upgrade 3.x -> 4.x
    • Ok...

      I upgraded from 3.0.91 to 4.0.9-1.

      At first I thought it worked perfectly, but as I tried to connect from my TV, the Tv always said: permission denied

      So I took a look in the Logs.
      So I saw, that collectd is not running. Also php-fpm is not present.
      I made a backup with the backup Plugin.

      Can anyone tell me how to restore that backup, please?

      Dennis
      OMV 3.0.96 with Flash Plugin, bootet von ESXi Server SLC Chip
      Fujitsu DS3231, Intel i5 - 4570S, 8Gb Ram
      3x8TB WD Red HDD mit SnapRAID und mergerfs
      Aufgebaut in Tecus N8800 Gehäuse mit redundantem Netzteil
    • Thanks for the plenty of Advices.

      I reinstalled 3.0.86 and added the Plugins I need.
      Also configuring the SnapRaid and setting up the mergerfs with existing Data on the HDDs
      was no Issue.

      When I created the Shares I could use the old Folders which were set up with the last installtion.

      Everything is running now again on OMV 3.
      OMV 3.0.96 with Flash Plugin, bootet von ESXi Server SLC Chip
      Fujitsu DS3231, Intel i5 - 4570S, 8Gb Ram
      3x8TB WD Red HDD mit SnapRAID und mergerfs
      Aufgebaut in Tecus N8800 Gehäuse mit redundantem Netzteil
    • ryecoaaron wrote:

      antsh wrote:

      I assume most people using OMV use some combination of sab( or nzbget)/sonarr/radarr/couchpotato, etc.
      I don't :) jhmiller who maintains those plugins thinks people should go to docker instead of porting the plugins to OMV 4.x.

      ArmandH wrote:

      WARNING: The function 'omv_config_add_element' is deprecated.
      WARNING: The function 'omv_config_add_element' is deprecated.
      WARNING: The function 'omv_config_add_element' is deprecated.
      This is just a warning and not a problem.

      ArmandH wrote:

      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f16a48c5510>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f16a48c5510>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      This is a python bug and not a problem either.
      solution to this is:
      update python source: weakref.py L:117

      see:

      hg.python.org/cpython/rev/2cb530243943
    • ryecoaaron wrote:

      antsh wrote:

      I assume most people using OMV use some combination of sab( or nzbget)/sonarr/radarr/couchpotato, etc.
      I don't :) jhmiller who maintains those plugins thinks people should go to docker instead of porting the plugins to OMV 4.x.

      ArmandH wrote:

      WARNING: The function 'omv_config_add_element' is deprecated.
      WARNING: The function 'omv_config_add_element' is deprecated.
      WARNING: The function 'omv_config_add_element' is deprecated.
      This is just a warning and not a problem.

      ArmandH wrote:

      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f16a48c5510>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7f16a48c5510>
      Traceback (most recent call last):
      File "/usr/lib/python3.5/weakref.py", line 117, in remove
      TypeError: 'NoneType' object is not callable
      This is a python bug and not a problem either.
      solution to this is:
      update python source: weakref.py L:117

      see:

      hg.python.org/cpython/rev/2cb530243943